use crate::types::*;
use leptos::prelude::*;

#[component]
pub fn Logo(store: Store) -> impl IntoView {
	view! {
		<img
			src=format!("assets/{}.svg", Into::<String>::into(&store))
			class="logo"
			// FIXME: Implement fmt::Display for Store
			alt=format!("{:?}", store)
		/>
	}
}
